## composefs 1.0.8

=== debian/changelog ===
composefs (1.0.8-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Increase build test timeout multiplier to try to fix the build on slower
    architectures like riscv64

  [ Dylan Aïssi ]
  * Mark libcomposefs1 as 'Multi-Arch: same'
  * Drop redundant Priority and Rules-Requires-Root fields
  * Bump Standards-Version to 4.7.3
  * Use recommended debian/salsa-ci.yml
  * Convert watch to version 5

 -- Dylan Aïssi <daissi@debian.org>  Mon, 02 Feb 2026 09:22:16 +0100

composefs (1.0.8-2) unstable; urgency=medium

  [ Roland Hieber ]
  * control: update Vcs-* URLs to new repo in debian namespace

  [ Andreas Tille ]
  * Add Gateway2new CI check

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Dec 2025 14:57:42 +0100

composefs (1.0.8-1) experimental; urgency=medium

  * Initial release. (Closes: #1064457)

 -- Roland Hieber <rhi@pengutronix.de>  Tue, 24 Jun 2025 17:40:37 +0200
