=== debian/control ===
Source: composefs
Section: utils
Maintainer: Roland Hieber <rhi@pengutronix.de>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 fsverity,
 fuse3,
 go-md2man,
 libcap2-bin,
 libfuse3-dev,
 libssl-dev,
 meson,
 pkgconf,
Standards-Version: 4.7.3
Homepage: https://github.com/containers/composefs
Vcs-Browser: https://salsa.debian.org/debian/composefs
Vcs-Git: https://salsa.debian.org/debian/composefs.git

Package: composefs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: mechanism for stacking read-only filesystems (tools)
 composefs combines several underlying Linux features to provide a very
 flexible mechanism to support read-only mountable filesystem trees, stacking
 on top of an underlying "lower" Linux filesystem. The key targeted use case
 for composefs is versioned, immutable executable filesystem trees (i.e.
 container images and bootable host systems), where some of these filesystems
 may share *parts* of their storage (i.e. some files may be different, but not
 all).
 .
 The key technologies used by composefs are: overlayfs as the kernel interface,
 EROFS for a mountable metadata tree, and fs-verity (optional) from the lower
 filesystems.
 .
 This package contains the userspace tools.

Package: libcomposefs1
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: mechanism for stacking read-only filesystems (library)
 composefs combines several underlying Linux features to provide a very
 flexible mechanism to support read-only mountable filesystem trees, stacking
 on top of an underlying "lower" Linux filesystem. The key targeted use case
 for composefs is versioned, immutable executable filesystem trees (i.e.
 container images and bootable host systems), where some of these filesystems
 may share *parts* of their storage (i.e. some files may be different, but not
 all).
 .
 The key technologies used by composefs are: overlayfs as the kernel interface,
 EROFS for a mountable metadata tree, and fs-verity (optional) from the lower
 filesystems.
 .
 This package contains the library, libcomposefs.

Package: libcomposefs-dev
Architecture: linux-any
Section: libdevel
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libcomposefs1 (= ${binary:Version})
Description: mechanism for stacking read-only filesystems (development files)
 composefs combines several underlying Linux features to provide a very
 flexible mechanism to support read-only mountable filesystem trees, stacking
 on top of an underlying "lower" Linux filesystem. The key targeted use case
 for composefs is versioned, immutable executable filesystem trees (i.e.
 container images and bootable host systems), where some of these filesystems
 may share *parts* of their storage (i.e. some files may be different, but not
 all).
 .
 The key technologies used by composefs are: overlayfs as the kernel interface,
 EROFS for a mountable metadata tree, and fs-verity (optional) from the lower
 filesystems.
 .
 This package contains the development header files that are needed if you want
 to link against libcomposefs.
