=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# meson applies a default timeout of 30 seconds (unless overwritten to 300
# seconds for the check-random-fuse test), but runs all tests in parallel,
# which can lead to random timeouts depending on the load of the build machine
override_dh_auto_test:
	dh_auto_test --no-parallel -- --timeout-multiplier 3
